BBG Bugs - Bug #960

[HR-Benefit Loan] Loan Balance Selalu Error
03/11/2022 10:02 AM - ikawati basri

Status: Closed Start date: 03/11/2022
Priority: Immediate Due date: 03/25/2022
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 31.50 hours
Description

Dear Mba Yooma,

terkait case loan di bbg yang sering berulan-ulang selalu keluar di payslip meskipun loan telah lunas. Berikut ini terlampir hasil
testing sudah saya lakukan di bbg prod minova.

employee yang digunakan untuk testing: 00000007 (DAKHIRIN)
app: http://remote.minovais.com:61123/

modul: Human Resource > HR Administration > Benefit Administration > Loan > Employee Loan
db.: MinovaES_BBG_Prod (PHRPA0034 & PHRPAQ035)

Terimakasih.
salam,

ika

History

#1 - 03/11/2022 10:04 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Urgent to Immediate

#2 - 03/16/2022 12:11 PM - Tri Rizqiaty

- Status changed from Assigned to Developing

Fixing :

1. Update API1 & API2 : MinovalS.MinovaES.Business.BN.dII

#3 - 03/16/2022 12:11 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri

#4 - 03/17/2022 10:32 AM - ikawati basri

Mba Yooma,

saya sudah lakukan testing untuk beberapa kondisi:

1. Loan di tahun 2022, special repayment 2022, Aman. Contoh: empid: 00000007 loan 01/02/2022

2. Loan di tahun 2021, special repayment 2022, Aman. Contoh: empid: 00000294 loan 01/11/2021

3. Loan 2021 di input di 2022, aplikasi masih sukses saving, harusnya tidak boleh. Contoh: empid: 00000007 loan 01/11/2021
4. Delete special repayement aplikasi masih bisa, tapi harusnya tidak boleh. Contoh: empid: 00000007

5. Kondisi edit regular payment yang menyeberang tahun backdate saat ini aplikasi bisa, seharusnya tidak boleh karena melewati earliest retro &
payroll sudah di running. Contoh: empid: 00000295 loan 20/09/2021

#5 - 03/17/2022 06:01 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from ikawati basri to Tri Rizqgiaty
#6 - 03/22/2022 04:31 PM - Tri Rizqgiaty
- File ctrlloan.js added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri

Fixing :

Update folder Ul - app - controller - masterdata - loan : ctrlloan.js

#7 - 03/23/2022 10:46 AM - ikawati basri

- File Catatan QA 22032022.pptx added

- Due date changed from 03/14/2022 to 03/25/2022
- Status changed from QA Test to Revise

- Assignee changed from ikawati basri to Tri Rizqiaty

mba, setelah saya testing, masih terdapat beberapa catatan:

1. Loan di tahun 2021 yang di input di tahun 2022, masih bisa tersimpan yang seharusnya tidak boleh tersimpan loan contoh loan tanggal
22/03/2021 di input tanggal 22/03/2022 employee DAKHIRIN (00000007) — Case 1.

2. saat melakukan special repayment, loan loading terus (nonstop), contoh loan 01/01/2022, add special repayment di 01/03/2022, setelah simulate &
save Data, loading tidak berhenti & jika di stop, special repayment yang baru tidak tersimpan employee DAKHIRIN (00000007) — Case 2.

3. Validasi untuk blok proses delete special repayment sudah jalan. Case Solved, employee DAKHIRIN (00000007) - Case 3

4. Kondisi edit regular payment yang sudah lewat masa payroll yang sebelumnya bisa saat ini menjadi nonstop loading pada saat melakukan saving
data. (sebaiknya dibuatkan validasi tidak boleh mengedit regular payment). Contoh loan 01/01/2022 — Case 4

5. Kondisi edit regular payment yang menyeberang tahun backdate saat ini aplikasi masih berhasil saving data, seharusnya tidak boleh karena
melewati earliest retro & payroll sudah di running. Contoh Loan 01/11/2021 employee DAKHIRIN (00000007) — Case 5.

Catatan & capturan testingnya telampir. Terimakasih

#8 - 04/19/2022 09:47 AM - Tri Rizqiaty

- File PDSLOANLASTBALANCEPELUNASAN_20220419.sql added
- File PCMWFCUSTPARAM_20220419.xIsx added

- File MinovalS.MinovaES.Business.BN.dll added

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri
Fixing :
1. Update folder API1 & API2 - bin : MinovalS.MinovaES.Business.BN.dIl , file terlampir

2. Update SP : PDSLOANLASTBALANCEPELUNASAN | file terlampir
3. Update table : PCMWFCUSTPARAM , file terlampir

#9 - 04/19/2022 01:08 PM - ikawati basri
- Status changed from QA Test to Closed

catatan yang masih belum bisa di fixing:
Validasi edit regular payment yang sudah lewat masa payroll & backdate cross year - agar tidak dapat melakukan edit data karena saat ini masih bisa

#10 - 04/19/2022 01:44 PM - Tri Rizqiaty

- File ctrlloan.js added

- File SMESSAGECATALOG 20220419.xIsx added
Tambabhan file fixing :

1. Update folder Ul - app - controller : ctrlloan.js , file terlampir
2. Update table SMESSAGECATALOG, file terlampir
